package Modules::Profile;

# Profile : tools for managing and displaying member profiles

use strict;
use ExSite::Config;
use Modules::BaseDCD;

use vars qw(@ISA);
@ISA = qw(Modules::BaseDCD);

sub write {
    my ($this,$options) = @_;
    my $id = $this->{input}{id} || $share{DB}->my_uid;
}

# ioctl : all operations that don't qualify as reads or writes
#         invoked as <!--BaseDCD.ioctl(request)-->

sub ioctl {
    my $this = shift;
    $_ = shift;   # $_ is the ioctl request
    if (/ModuleName/) {
	return "My Profile";
    }
    elsif (/ControlPanel/) {
	return \&ShowProfile;
	# turn off profile manager for now
	return undef;
    }
}

sub ShowProfile {
    return $share{DB}->report_row("member",$share{DB}->my_uid,(edit=>1));
    return "ShowProfile placeholder";
}

sub EditProfile {
    my $db = $share{DB};
    my $uid = $db->my_uid;
    my $out = "<h3>Edit Profile</h3>\n";
    $out .= $db->edit("member",$uid);
    return $out;
}

1;
