#!/usr/bin/perl
#-----------------------------------------------------------------------
# help.cgi - display help text 
#-----------------------------------------------------------------------

use strict;
use ExSite::Config;
use ExSite::Misc;

&exsite_init;

print "Content-type: text/html\n\n";

print "<HEAD>\n<TITLE>$config{site}->{name} Help</TITLE>\n";
print "<link REL=\"stylesheet\" TYPE=\"text/css\" HREF=\"$config{server}{HTMLpath}/_ExSite/css/ExSite.css\">\n";
print "</HEAD>\n<BODY>\n";

my $helpfile = $ENV{PATH_INFO};
$helpfile =~ s/^\///;

print "<table class=framed bgcolor=#FFFFFF><tr><td>\n";
print "<DIV ALIGN=center><H3><IMG SRC=$config{server}->{HTMLpath}/_ExSite/images/qmark.gif HEIGHT=20 WIDTH=20><br>Help</H3></DIV>\n";

if (! $helpfile) {
    print "<p class=error>No help topic specified.</p>\n";
}
elsif (-e $helpfile) {
    my $helptext = &get_file($helpfile);
    print "<p class=help>$helptext</p>\n";
}
else {
    print "<p class=error>$helpfile: help file not found.</p>\n";
}

print "<p align=center><a href=javascript:close()>close</a></p>\n";
print "</td></tr></table>\n";
print "</body>\n";

### END

