<!--
function InitToolbarButtons() {
  kids = document.getElementsByTagName('DIV');
  for (var i=0; i < kids.length; i++) {
    if (kids[i].className == "imagebutton") {
      kids[i].onmouseover = tbmouseover;
      kids[i].onmouseout = tbmouseout;
      kids[i].onmousedown = tbmousedown;
      kids[i].onmouseup = tbmouseup;
      kids[i].onclick = tbclick;
    }
  }
}
function tbmousedown(e)
{
  this.style.background="#8492B5";
  e.preventDefault();
}
function tbmouseup()
{
  this.style.background="#B5BED6";
}
function tbmouseout()
{
  this.style.background="#D6D3CE";
}
function tbmouseover()
{
  this.style.background="#B5BED6";
}
function validate(){
  document.forms[0].elements[0].value = document.getElementById("edit").contentWindow.document.body.innerHTML;
}
function insertNodeAtSelection(win, insertNode)
{
  // get current selection
  var sel = win.getSelection();
  // get the first range of the selection
  // (there's almost always only one range)
  var range = sel.getRangeAt(0);
  // deselect everything
  sel.removeAllRanges();
  // remove content of current selection from document
  range.deleteContents();
  // get location of current selection
  var container = range.startContainer;
  var pos = range.startOffset;
  // make a new range for the new selection
  range=document.createRange();
  if (container.nodeType==3 && insertNode.nodeType==3) {
    // if we insert text in a textnode, do optimized insertion
    container.insertData(pos, insertNode.nodeValue);
    // put cursor after inserted text
    range.setEnd(container, pos+insertNode.length);
    range.setStart(container, pos+insertNode.length);
  } else {
    var afterNode;
    if (container.nodeType==3) {
      // when inserting into a textnode
      // we create 2 new textnodes
      // and put the insertNode in between
      var textNode = container;
      container = textNode.parentNode;
      var text = textNode.nodeValue;
      // text before the split
      var textBefore = text.substr(0,pos);
      // text after the split
      var textAfter = text.substr(pos);
      var beforeNode = document.createTextNode(textBefore);
      var afterNode = document.createTextNode(textAfter);
      // insert the 3 new nodes before the old one
      container.insertBefore(afterNode, textNode);
      container.insertBefore(insertNode, afterNode);
      container.insertBefore(beforeNode, insertNode);
      // remove the old node
      container.removeChild(textNode);
    } else {
      // else simply insert the node
      afterNode = container.childNodes[pos];
      container.insertBefore(insertNode, afterNode);
    }
    range.setEnd(afterNode, 0);
    range.setStart(afterNode, 0);
  }
  sel.addRange(range);
}
function getOffsetTop(elm) {
  var mOffsetTop = elm.offsetTop;
  var mOffsetParent = elm.offsetParent;
  while(mOffsetParent){
    mOffsetTop += mOffsetParent.offsetTop;
    mOffsetParent = mOffsetParent.offsetParent;
  }
  return mOffsetTop;
}
function getOffsetLeft(elm) {
  var mOffsetLeft = elm.offsetLeft;
  var mOffsetParent = elm.offsetParent;
  while(mOffsetParent){
    mOffsetLeft += mOffsetParent.offsetLeft;
    mOffsetParent = mOffsetParent.offsetParent;
  }
  return mOffsetLeft;
}
function getColor(color)
{
  if(isIE() && curr_id == 'hilitecolor'){curr_id = 'backcolor';}
  document.getElementById('edit').contentWindow.document.execCommand(curr_id,false,color);
}
function getLink(url,title,newWindow)
{
  if (url){
    if(url.match(/^\d*$/)){url = "\{\{" + url + "\}\}";}
    else{url = url.match(/:/i) ? url : 'http://' + url;}
    if (!title){
      document.getElementById('edit').contentWindow.document.execCommand("CreateLink",false,url);
    }else{
      if (isIE()){
        var link = '<a href="' + url + '"';
	if (newWindow){
	  link += ' target="_blank"';
	}
	link += '>' + title + '</a>';
        var selection = edit.document.selection.createRange();
        selection.pasteHTML(link);
      }else{
        var link = document.getElementById('edit').contentWindow.document.createElement('a');
        var linktext = document.getElementById('edit').contentWindow.document.createTextNode(title);
        link.href = url;
	if (newWindow){
	  link.target = "_blank";
	}
        link.appendChild(linktext);
	document.getElementById('edit').contentWindow.document.execCommand("unlink",false,null);
        insertNodeAtSelection(document.getElementById('edit').contentWindow,link);
      }
    }
  }else{
    document.getElementById('edit').contentWindow.document.execCommand("unlink",false,null);
  }
}
function getTable(rows,cols,border,bordercolor,cellspacing,cellpadding,bgcolor,tdwidth,tdheight,tdvalign,tdalign)
{
  e = document.getElementById("edit");
  rows = parseInt(rows);
  cols = parseInt(cols);
  if ((rows > 0) && (cols > 0)) {
    if (isIE()) {
      var strTable = '<table border="' + border + '" cellpadding="' + cellpadding + '" cellspacing="' + cellspacing + '" ';
      strTable += 'bordercolor="' + bordercolor + '" bgcolor="' + bgcolor + '">';
      for (var i=0; i < rows; i++) {
	strTable += '<tr>';
	for (var j=0; j < cols; j++) {
	  strTable += '<td align="' + tdalign + '" valign="' + tdvalign + '" width="' + tdwidth + '" ';
	  strTable += 'height="' + tdheight + '"></td>';
	}
	strTable += '</tr>';
    }
    strTable += '</table>';
    var selection = edit.document.selection.createRange();
    selection.pasteHTML(strTable);
  } else {
      var table,tbody;
      table = e.contentWindow.document.createElement("table");
      table.setAttribute("border", border);
      table.setAttribute("bordercolor",bordercolor);
      table.setAttribute("cellpadding", cellpadding);
      table.setAttribute("cellspacing", cellspacing);
      table.setAttribute("bgcolor",bgcolor);
      tbody = e.contentWindow.document.createElement("tbody");
      for (var i=0; i < rows; i++) {
        tr = e.contentWindow.document.createElement("tr");
        for (var j=0; j < cols; j++) {
          td = e.contentWindow.document.createElement("td");
	  td.setAttribute("height",tdheight);
	  td.setAttribute("width",tdwidth);
	  td.setAttribute("align",tdalign);
	  td.setAttribute("valign",tdvalign);
          br = e.contentWindow.document.createElement("br");
          td.appendChild(br);
          tr.appendChild(td);
        }
        tbody.appendChild(tr);
      }
      table.appendChild(tbody);      
      insertNodeAtSelection(e.contentWindow, table);
    }
  }
}
function tbclick()
{
  if (this.id == "insertimage") {
    doImage();
  } else if (this.id == "dyncontent") {
    doDynContent();
  } else if ((this.id == "forecolor") || (this.id == "hilitecolor")) {
    curr_id = this.id;
    doColor();
  } else if (this.id == "createlink") {
    doLink();
  } else if (this.id == "createtable") {
    doTable();
  } else {
    document.getElementById('edit').contentWindow.document.execCommand(this.id, false, null);
  }
}
function Select(selectname)
{
  var cursel = document.getElementById(selectname).selectedIndex;
  /* First one is always a label */
  if (cursel != 0) {
    var selected = document.getElementById(selectname).options[cursel].value;
    document.getElementById('edit').contentWindow.document.execCommand(selectname, false, selected);
    document.getElementById(selectname).selectedIndex = 0;
  }
  document.getElementById("edit").contentWindow.focus();
}
function isIE(){
  if(navigator.appName == 'Microsoft Internet Explorer'){
    return 1;
  }
  return 0;
}//-->
