#!/usr/bin/perl
#-----------------------------------------------------------------------
# content.cgi - retrieve content from the database for viewing
#-----------------------------------------------------------------------

use strict;
use ExSite::Config;
use ExSite::DB;
use ExSite::ContentData;
use ExSite::Misc;

use vars qw($db %q);

&exsite_init;
$db = new ExSite::DB;
my %q = &DecodeQuery;

if ($q{id}) {
    # authorization logic needed!!!
    my $c = new ExSite::ContentData(id=>$q{id});
    my $type = $c->content_type;
    print "Content-type: $type\n\n";
    if ($type =~ /text\/html/) {
	print $c->expand;  # show oysters
    }
    else {
	print $c->get_raw;
    }
}
else {
    print "Content-type: text/plain\n\nNo content object specified.\n";
}

